petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoLineSearchSetVariableBounds

Sets the upper and lower bounds.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetVariableBounds(TaoLineSearch ls,Vec xl, Vec xu)

Logically Collective on Tao

### Input Parameters

| ls | - the TaoLineSearch context
| xl | - vector of lower bounds
| xu | - vector of upper bounds

Note: If the variable bounds are not set with this routine, then PETSC_NINFINITY and PETSC_INFINITY are assumed

### See Also

TaoSetVariableBounds(), TaoLineSearchCreate()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages